#include<bits/stdc++.h>

using namespace std;

int main()
{
    int n,m, x,y, s=0, k;
    cin >> n >> m;
    int d[n];

    for(int i = 0; i<n; i++)
        cin >> d[i];

    for(int i = 0; i<m; i++)
    {
        cin >> x >> y;
        k=d[x-1]+d[y-1];
        cout << i << ": " << k << endl;
        if(k>0) s+=k;
        else s-=k;
    }
    cout << s;

    return 0;
}